Summary: Lightweight C library which eases the writing of UNIX daemons
Name: libdaemon
Version: 0.14
Release: r0.0
License: LGPLv2.1+
Group: libs
Packager: Wind River <info@windriver.com>
URL: http://0pointer.de/lennart/projects/libdaemon/
BuildRequires: pkgconfig-native
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native

%description
Lightweight C library which eases the writing of UNIX daemons.

%package -n libdaemon-dbg
Summary: Lightweight C library which eases the writing of UNIX daemons - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: libdaemon0 = 0.14-r0.0

%description -n libdaemon-dbg
Lightweight C library which eases the writing of UNIX daemons.  This
package contains ELF symbols and related sources for debugging purposes.

%package -n libdaemon-staticdev
Summary: Lightweight C library which eases the writing of UNIX daemons - Development files (Static Libraries)
Group: devel
Requires: libdaemon-dev = 0.14-r0.0

%description -n libdaemon-staticdev
Lightweight C library which eases the writing of UNIX daemons.  This
package contains static libraries for software development.

%package -n libdaemon-dev
Summary: Lightweight C library which eases the writing of UNIX daemons - Development files
Group: devel
Requires: libdaemon0 = 0.14-r0.0
Suggests: libc6-dev

%description -n libdaemon-dev
Lightweight C library which eases the writing of UNIX daemons.  This
package contains symbolic links, header files, and related items necessary
for software development.

%package -n libdaemon-doc
Summary: Lightweight C library which eases the writing of UNIX daemons - Documentation files
Group: doc

%description -n libdaemon-doc
Lightweight C library which eases the writing of UNIX daemons.  This
package contains documentation.

%package -n libdaemon-locale
Summary: Lightweight C library which eases the writing of UNIX daemons
Group: libs

%description -n libdaemon-locale
Lightweight C library which eases the writing of UNIX daemons.

%package -n libdaemon0
Summary: Lightweight C library which eases the writing of UNIX daemons
Group: libs
Requires: rtld(GNU_HASH)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Provides: libdaemon.so.0()(64bit)
Provides: libdaemon
Provides: elf(buildid) = d24955fcb7c7ed093638a6f9b656aa5602563140

%description -n libdaemon0
Lightweight C library which eases the writing of UNIX daemons.

%post -n libdaemon0
# libdaemon0 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libdaemon-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/src"
%dir "/usr/lib64"
%dir "/usr/src/debug"
%dir "/usr/src/debug/libdaemon"
%dir "/usr/src/debug/libdaemon/0.14-r0"
%dir "/usr/src/debug/libdaemon/0.14-r0/libdaemon-0.14"
%dir "/usr/src/debug/libdaemon/0.14-r0/libdaemon-0.14/libdaemon"
"/usr/src/debug/libdaemon/0.14-r0/libdaemon-0.14/libdaemon/dsignal.c"
"/usr/src/debug/libdaemon/0.14-r0/libdaemon-0.14/libdaemon/dlog.c"
"/usr/src/debug/libdaemon/0.14-r0/libdaemon-0.14/libdaemon/dexec.c"
"/usr/src/debug/libdaemon/0.14-r0/libdaemon-0.14/libdaemon/dnonblock.h"
"/usr/src/debug/libdaemon/0.14-r0/libdaemon-0.14/libdaemon/dsignal.h"
"/usr/src/debug/libdaemon/0.14-r0/libdaemon-0.14/libdaemon/dpid.c"
"/usr/src/debug/libdaemon/0.14-r0/libdaemon-0.14/libdaemon/dlog.h"
"/usr/src/debug/libdaemon/0.14-r0/libdaemon-0.14/libdaemon/dnonblock.c"
"/usr/src/debug/libdaemon/0.14-r0/libdaemon-0.14/libdaemon/dpid.h"
"/usr/src/debug/libdaemon/0.14-r0/libdaemon-0.14/libdaemon/dfork.h"
"/usr/src/debug/libdaemon/0.14-r0/libdaemon-0.14/libdaemon/dfork.c"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libdaemon.so.0.5.0"

%files -n libdaemon-staticdev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libdaemon.a"

%files -n libdaemon-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/include"
%dir "/usr/lib64"
%dir "/usr/include/libdaemon"
"/usr/include/libdaemon/daemon.h"
"/usr/include/libdaemon/dnonblock.h"
"/usr/include/libdaemon/dsignal.h"
"/usr/include/libdaemon/dexec.h"
"/usr/include/libdaemon/dlog.h"
"/usr/include/libdaemon/dpid.h"
"/usr/include/libdaemon/dfork.h"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/libdaemon.so"
"/usr/lib64/libdaemon.la"
"/usr/lib64/pkgconfig/libdaemon.pc"

%files -n libdaemon-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/doc"
%dir "/usr/share/doc/libdaemon"
"/usr/share/doc/libdaemon/style.css"
"/usr/share/doc/libdaemon/README.html"

%files -n libdaemon0
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libdaemon.so.0"
"/usr/lib64/libdaemon.so.0.5.0"

